CREATE TABLE S_SUPPLIER (
		SUPP_ID INTEGER NOT NULL,
		SUPP_NAME VARCHAR(16),
		SUPP_STREET1 VARCHAR(20),
		SUPP_STREET2 VARCHAR(20),
		SUPP_CITY VARCHAR(20),
		SUPP_STATE CHAR(2),
		SUPP_COUNTRY VARCHAR(10),
		SUPP_ZIP VARCHAR(9),
		SUPP_PHONE VARCHAR(16),
		SUPP_CONTACT VARCHAR(25)
	)
;

CREATE TABLE S_SUPP_COMPONENT (
		SC_P_ID CHAR(20) NOT NULL,
		SC_SUPP_ID INTEGER NOT NULL,
		SC_PRICE NUMERIC(12,2) NOT NULL,
		SC_QTY INTEGER NOT NULL,
		SC_DISCOUNT NUMERIC(6,4) NOT NULL,
		SC_DEL_DATE INTEGER NOT NULL
	)
;

CREATE TABLE S_COMPONENT (
		COMP_ID CHAR(20) NOT NULL,
		COMP_NAME VARCHAR(10),
		COMP_DESC VARCHAR(100),
		COMP_UNIT VARCHAR(10),
		COMP_COST NUMERIC(12,2) NOT NULL,
		QTY_ON_ORDER INTEGER NOT NULL,
		QTY_DEMANDED INTEGER NOT NULL,
		LEAD_TIME INTEGER NOT NULL,
		CONTAINER_SIZE INTEGER NOT NULL
	)
;

CREATE TABLE S_PURCHASE_ORDER (
		PO_NUMBER INTEGER NOT NULL,
		PO_SUPP_ID INTEGER NOT NULL,
		PO_SITE_ID INTEGER NOT NULL
	)
;

CREATE TABLE S_PURCHASE_ORDERLINE (
		POL_NUMBER INTEGER NOT NULL,
		POL_PO_ID INTEGER NOT NULL,
		POL_P_ID CHAR(20),
		POL_QTY INTEGER NOT NULL,
		POL_BALANCE NUMERIC(12,2) NOT NULL,
		POL_DELDATE DATE,
		POL_MESSAGE VARCHAR(100)
	)
;

ALTER TABLE S_SUPPLIER ADD CONSTRAINT PK_SUPPLIERENT PRIMARY KEY (SUPP_ID)
;

ALTER TABLE S_SUPP_COMPONENT ADD CONSTRAINT PK_SUPPLIERCOMPENT PRIMARY KEY (SC_P_ID, SC_SUPP_ID)
;

ALTER TABLE S_COMPONENT ADD CONSTRAINT PK_SCOMPONENTENT PRIMARY KEY (COMP_ID)
;

ALTER TABLE S_PURCHASE_ORDER ADD CONSTRAINT PK_POENT PRIMARY KEY (PO_NUMBER)
;

ALTER TABLE S_PURCHASE_ORDERLINE ADD CONSTRAINT PK_POLINEENT PRIMARY KEY (POL_NUMBER, POL_PO_ID)
;

